Skip to main content
GET
/
metrics
/
historical
/
tvl
/
restaking
/
{address}
Retrieve historical TVL data by strategy address
curl --request GET \
  --url https://api.eigenexplorer.com/metrics/historical/tvl/restaking/{address} \
  --header 'X-API-Token: <x-api-token>'
import requests

url = "https://api.eigenexplorer.com/metrics/historical/tvl/restaking/{address}"

headers = {"X-API-Token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};

fetch('https://api.eigenexplorer.com/metrics/historical/tvl/restaking/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "timestamp": "2024-04-11T08:31:11.000Z",
      "tvlEth": 1000000
    }
  ]
}
{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}
{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}
{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}
{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}
{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}

Headers

X-API-Token
string
required

API Token for authentication

Path Parameters

address
string
required

The contract address of the restaking strategy

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x54945180dB7943c0ed0FEE7EdaB2Bd24620256bc"

Query Parameters

frequency
enum<string>
default:1d

Frequency of data points

Available options:
1d,
7d
variant
enum<string>
default:cumulative

Type of tally, discrete or cumulative

Available options:
discrete,
cumulative
Example:

"cumulative"

startAt
string
default:""

Start date in ISO string format

Example:

"2024-04-11T08:31:11.000"

endAt
string
default:""

End date in ISO string format

Example:

"2024-04-12T08:31:11.000"

Response

The historical data of TVL for the specified strategy over specified timestamp values.

data
object[]
required